diff --git a/src/backend/storage/ipc/standby.c b/src/backend/storage/ipc/standby.c
index 547f1a8..174e42a 100644
--- a/src/backend/storage/ipc/standby.c
+++ b/src/backend/storage/ipc/standby.c
@@ -160,6 +160,8 @@ WaitExceedsMaxStandbyDelay(void)
 {
 	TimestampTz ltime;
 
+	CHECK_FOR_INTERRUPTS();
+
 	/* Are we past the limit time? */
 	ltime = GetStandbyLimitTime();
 	if (ltime && GetCurrentTimestamp() >= ltime)
